/*
 * Copyright (C) 2015  Brendan Bruner
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * bbruner@ualberta.ca
 */
/**
 * @file driver_toolkit
 * @author Brendan Bruner
 * @date Feb 4, 2015
 */
#include "driver_toolkit.h"

void initialize_driver_toolkit_lpc_local( driver_toolkit_t *toolkit )
{
	initialize_eps_lpc_local( &toolkit->eps );
	initialize_ejection_pin_mock_up( &toolkit->ejection_pin );
	initialize_static_timer_ram_soft( &toolkit->timer );
	initialize_adcs_lpc_local( &toolkit->adcs );
	initialize_comm_lpc_local( &toolkit->comm );
	initialize_mission_logger_lpc_fatfs_sd( &toolkit->logger );
}
