/*
 * Copyright (C) 2015  Brendan Bruner
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * bbruner@ualberta.ca
 */
/**
 * @file core_globals
 * @author Brendan Bruner
 * @date Mar 12, 2015
 *
 * Defines macros used by the Core static library. The macros defined here exhibit some
 * control of the software (ie, the software changes if it is/isn't defined).
 */
#ifndef INCLUDE_CORE_DEFINES_H_
#define INCLUDE_CORE_DEFINES_H_

/* When defined, any change to system state will be printed to console. */
//#define RELAY_DEMO_CODE

#endif /* INCLUDE_CORE_DEFINES_H_ */
